<mat-drawer-container hasBackdrop="false" class="h-100">

  <mat-drawer #drawer [opened]="true" mode="side" class="sidenav">
    <div class="p-2">
      <h1 class="logo">{{title}}</h1>
    </div>
    <div class="h-75">
      <mat-nav-list>
        <a mat-list-item *ngFor="let link of links" [routerLink]="link.link">
          <mat-icon class="mr-2">{{link.icon}}</mat-icon>
          {{ link.label }}
        </a>
      </mat-nav-list>
    </div>
  </mat-drawer>

  <mat-drawer-content>
    <mat-toolbar color="primary">
      <button mat-icon-button (click)="drawer.toggle()">
        <mat-icon>menu</mat-icon>
      </button>
    </mat-toolbar>
    <div class="p-4">
      <router-outlet></router-outlet>
    </div>
  </mat-drawer-content>
</mat-drawer-container>
